part of 'wages_form_bloc.dart';

@immutable
sealed class WagesFormEvent {
  const WagesFormEvent();
}

class InitializeWagesFormBloc extends WagesFormEvent {
  const InitializeWagesFormBloc();
}

class SetActiveForm extends WagesFormEvent {
  const SetActiveForm({required this.form});

  final WageFormEntity form;
}

class AddUserSignImage extends WagesFormEvent {
  const AddUserSignImage({required this.imageData});

  final Uint8List imageData;
}

class UpdateCurrentForm extends WagesFormEvent {
  const UpdateCurrentForm({required this.form});

  final WageFormEntity form;
}

class ValidateCurrentForm extends WagesFormEvent {
  const ValidateCurrentForm();
}

class SubmitCurrentForm extends WagesFormEvent {
  const SubmitCurrentForm();
}
